Delete Payment Line
Deletes a payment line. Returns the saleId and a refresh object with SystemIds of updated entities and totals.
Authentication
x-np-api-keystring
API Key authentication via header
Path parameters
tenant
Your Entra Tenant ID. More details.
environment
Your Business Central Environment. More details.
company
Your Business Central Company. More details.
saleId
The id of a POS sale. This can be provided by the API consumer when creating a new sale.
paymentLineId
The id of a payment line within a POS sale.
Headers
x-api-version
Used for API versioning. More details.
Response
This endpoint returns an object.
saleId
The id of a POS sale. This can be provided by the API consumer when creating a new sale.
receiptNo
posUnit
posStore
date
startTime
customerNo
salespersonCode
vatBusinessPostingGroup
refreshedSaleLines
Full objects for all sale lines that were created or modified
refreshedPaymentLines
Full objects for all payment lines that were created or modified
deletedSaleLines
Array of SystemIds (UUIDs) for sale lines that were deleted
deletedPaymentLines
Array of SystemIds (UUIDs) for payment lines that were deleted
totalSalesAmountInclVat
Total amount of all sale lines including VAT
totalPaymentAmount
Total amount of all payment lines
